QGIS 0.10.0 crashes when using print composer
Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11188

Description

Using QGIS 0.10.0-6~hardy on (k)ubuntu 8.04 on a Thinkpad T61.

Print composer causes QGIS to completely exit without warning or error message.

This happens every time I try to "print."

Steps:

File>>Print

(print composer opens)

Click on "add map" 

Try to place map>> I can draw the square boundary for the map. I draw the box, QGIS sits for a second, then the entire program crashes

without warning or error message.

This worked fine in 0.9

-Morgan

History

#1 - 2008-06-30 07:54 AM - cuz -

I have a similar problem with straight Ubuntu Hardy 8.04. In Print Composer, I can print and generate SVG files reasonably well (though point symbols

seem to be reproduced in different shapes). However, when I try to save to image (png), QGIS crashes and takes Gnome Desktop with it. Save as Image

works fine from main GUI.

#2 - 2008-06-30 08:11 AM - Marco Hugentobler

Hm, I cannot reproduce both problems with the current svn version (30.06.2008). Did you use svn version? If yes, then it would be good to know what kind

of layer your project contains.

Marco

#3 - 2008-06-30 08:35 AM - cuz -

Hi,

Good point. Sorry for my relative ignorance here. I just started using QGIS this week (love it). My version is the most recent Ubuntu would automagically
download from http://ppa.launchpad.net/qgis/ubuntu for Hardy.

The project has a mix of shapefiles (point and vector) and vector [[PostGIS]] files. The particular view I've been trying to save originally had a postGIS

vector file and a vector shapefile (both from Census boundary files--basically states on one (shapefile) layer and a (postGIS) graduated symbol layer of

metro areas) and a print composer generated label. After the previous note, I removed the label and had the same results.

I don't know if this applies, but I did mess around with legend files a bit for the postGIS layer since I couldn't figure out how to edit the ranges provided on

the layer's symbology tab. I did discover that I had to change the layer 'id' in the style file along with the layer names. (Note: It would be great if the styles

were NOT associated with a particular layer so that they could be easily imported to additional layers.)

And note that I'm aware that my lack of familiarity with the program may also be a factor!

I will try to start a new project and try isolating layer types to see if that sheds any light and report back.

-cuz

#4 - 2008-06-30 09:08 AM - cuz -

Well, I'm confused. All I can do is give you results. Using this shapefile (http://www.census.gov/geo/cob/bdy/st/st00shp/st99_d00_shp.zip), the crash

occurs. Using other shapefiles (like 

http://drake.gisc.berkeley.edu/urbandata/Files/Shapefiles/Boundary,%20Census%20&#38;%20Administrative%20Shapefiles%20&#38;%20Data/Counti

s.zip) produces no problem. Also, after importing the problem file into postGIS using shp2pgsql, it saves to png without a problem. Perhaps this means it's

a malformed shapefile?

#5 - 2008-07-01 09:52 AM - morgan -

I'm not using the SVN version, I'm using the Hardy package from launchpad.net Have there been any changes to the print manager in the current SVN

version?

Also, (and this is probably important) I've noticed that I only have this problem when there are [[PostGIS]] layers in the map.

Lastly, the save as image problem posted above should probably be it's own ticket, as it doesn't seem to relate to the Print Composer.

#6 - 2008-07-01 10:01 AM - cuz -

My issue probably shouldn't be a separate ticket as it ONLY happens in print composer. Save as image from the main window works fine. (This is not to

say that the issue is necessarily the same, only that it should not be moved on account of its relation to print composer.)

The problem also occurred only with some shapefiles even in the absence of [[PostGIS]] layers.

#7 - 2008-07-01 11:28 AM - morgan -

whoops, sorry cuz, I misread your comment.

#8 - 2008-07-02 12:58 AM - Marco Hugentobler

- Resolution set to worksforme

- Status changed from Open to Closed

2025-04-27 2/3

http://ppa.launchpad.net/qgis/ubuntu
http://www.census.gov/geo/cob/bdy/st/st00shp/st99_d00_shp.zip
http://drake.gisc.berkeley.edu/urbandata/Files/Shapefiles/Boundary,%20Census%20&#38;%20Administrative%20Shapefiles%20&#38;%20Data/Counties.zip
http://drake.gisc.berkeley.edu/urbandata/Files/Shapefiles/Boundary,%20Census%20&#38;%20Administrative%20Shapefiles%20&#38;%20Data/Counties.zip


Dear cuz and morgan

I installed the 0.10 package for hardy, downloaded the shapefile st99_d00, opened print composer and exported to png. Unfortunately, there was no crash

for me, so it's difficult for me to find the cause of your problems.

For 0.11, many things in rendering and also in print composer have been changed. For 1.0, nearly all of the print composer code is going to be changed

under the hood (in advanced_printing_branch). So I close this ticket for now, as I think it will be out of date with the following releases. There will surely be

new problems then ;-)

Anyway, thanks for your feedback.

Marco
